---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-dhcp
  namespace: vms
spec:
  config: '{
      "cniVersion": "0.3.0",
      "type": "bridge",
      "bridge": "internal",
      "ipam": {
        "type": "dhcp"
      }
    }'

---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-static
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static"
            }
        }'

---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-windows
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "10.152.0.149/16"
                    }
                ],
                "routes": [
                    { "dst": "152.66.176.0/21", "gw": "10.152.255.254" },
                    { "dst": "152.66.192.0/24", "gw": "10.152.255.254" },
                    { "dst": "152.66.208.0/22", "gw": "10.152.255.254" },
                    { "dst": "10.151.0.0/16",   "gw": "10.152.255.254" }
                ]
            }
        }'


---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-plebian
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "10.152.0.199/16"
                    }
                ],
                "routes": [
                    { "dst": "152.66.176.0/21", "gw": "10.152.255.254" },
                    { "dst": "152.66.192.0/24", "gw": "10.152.255.254" },
                    { "dst": "152.66.208.0/22", "gw": "10.152.255.254" },
                    { "dst": "10.151.0.0/16",   "gw": "10.152.255.254" }
                ]
            }
        }'



---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internet-blint-debian
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internet",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "152.66.211.158/24",
                        "gateway": "152.66.211.254"
                    },
                    {
                        "address": "2001:738:2001:207f:0:211:158:0/96",
                        "gateway": "fe80::"
                    }
                ],
                "dns": {
                  "nameservers": [ "152.66.208.1", "1.1.1.1" ]
                }
            }
        }'

---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-blint-debian
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "10.152.0.253/16"
                    }
                ]
            }
        }'

---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-josh-debian
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "10.152.1.3/16"
                    }
                ],
                "routes": [
                    { "dst": "152.66.176.0/21", "gw": "10.152.255.254" },
                    { "dst": "152.66.192.0/24", "gw": "10.152.255.254" },
                    { "dst": "152.66.208.0/22", "gw": "10.152.255.254" },
                    { "dst": "10.151.0.0/16",   "gw": "10.152.255.254" }
                ]
            }
        }'
---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internet-kitkat-debian
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internet",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "152.66.211.10/24",
                        "gateway": "152.66.211.254"
                    }
                ],
                "routes": [
                  { "dst": "0.0.0.0/0" }
                ],
                "dns": {
                  "nameservers": ["152.66.208.1"]
                }
            }
        }'


---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-pet
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "10.152.0.149/16"
                    }
                ],
                "routes": [
                    { "dst": "152.66.176.0/21", "gw": "10.152.255.254" },
                    { "dst": "152.66.192.0/24", "gw": "10.152.255.254" },
                    { "dst": "152.66.208.0/22", "gw": "10.152.255.254" },
                    { "dst": "10.151.0.0/16",   "gw": "10.152.255.254" }
                ],
                "dns": {
                    "nameservers" : ["152.66.208.1"],
                    "domain": "internal",
                    "search": [ "sch.bme.hu", "internal" ]
                }
            }
        }'
---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internet-pet-v6
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internet",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "2001:738:2001:207f:0:211:5:69/96",
                        "gateway": "fe80::"
                    }
                ]
            }
        }'

---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-gw
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "10.152.0.99/16"
                    }
                ]
            }
        }'


---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: sch-internal-gw-routes
  namespace: vms
spec:
  config: '{
            "cniVersion": "0.3.0",
            "type": "bridge",
            "bridge": "internal",
            "ipam": {
                "type": "static",
                "addresses": [
                    {
                        "address": "10.152.0.99/16"
                    }
                ],
                "routes": [
                    { "dst": "152.66.176.0/21", "gw": "10.152.255.254" },
                    { "dst": "152.66.192.0/24", "gw": "10.152.255.254" },
                    { "dst": "152.66.208.0/22", "gw": "10.152.255.254" },
                    { "dst": "10.151.0.0/16",   "gw": "10.152.255.254" }
                ]
            }
        }'

